]> git.pld-linux.org Git - packages/apache.git/blobdiff - apache1.init
- mod_deflate: compress application/javascript and application/x-javascript
[packages/apache.git] / apache1.init
index d659c0c242bc25dbbe012e5bfa89171528b2373c..8fda4d0c74764c3a91b1a04fac27f0739f8c8630 100644 (file)
@@ -5,9 +5,9 @@
 # chkconfig:   345 85 15
 # description: Apache is a World Wide Web server.  It is used to serve \
 #              HTML files and CGI.
-# processname: httpd
-# pidfile:     /var/run/httpd.pid
-# config:      /etc/httpd/httpd.conf
+# processname: apache
+# pidfile:     /var/run/apache.pid
+# config:      /etc/apache/apache.conf
 
 
 # Source function library
@@ -21,9 +21,8 @@
 
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
-       if [ ! -f /var/lock/subsys/network ]; then
-               # nls "ERROR: Networking is down. %s can't be run." <service>
-               msg_network_down httpd
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               msg_network_down "Apache 1.3 Web Server"
                exit 1
        fi
 else
@@ -34,43 +33,123 @@ if is_no "${IPV6_NETWORKING}"; then
        HTTPD_OPTS="$HTTPD_OPTS -4"
 fi
 
-# See how we were called.
-case "$1" in
-  start)
+configtest() {
+       /usr/sbin/apache -t > /dev/null 2>&1
+       RETVAL=$?
+}
+
+start() {
        # Check if the service is already running?
-       if [ ! -f /var/lock/subsys/httpd ]; then
-               msg_starting httpd
-               daemon httpd $HTTPD_OPTS
+       if [ -x /usr/lib/apache1/lingerd ]; then
+               if [ ! -f /var/lock/subsys/lingerd ]; then
+                       msg_starting "Apache Lingerd"
+                       SERVICE_UMASK=002 daemon --user http /usr/lib/apache1/lingerd
+                       RETVAL=$?
+                       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/lingerd
+               else
+                       msg_already_running "Apache Lingerd"
+               fi
+       fi
+       if [ ! -f /var/lock/subsys/apache ]; then
+               msg_starting "Apache 1.3 Web Server"
+               daemon /usr/sbin/apache $HTTPD_OPTS
                RETVAL=$?
-               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/httpd
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/apache
        else
-               msg_already_running httpd
-               exit 1
+               msg_already_running "Apache 1.3 Web Server"
+       fi
+}
+
+stop() {
+       # Stop daemons.
+       if [ -f /var/lock/subsys/apache ]; then
+               msg_stopping "Apache 1.3 Web Server"
+               killproc --pidfile /var/run/apache.pid apache
+               rm -f /var/lock/subsys/apache /var/run/apache.pid /var/run/apache.loc* >/dev/null 2>&1
+       else
+               msg_not_running "Apache 1.3 Web Server"
+       fi
+       if [ -x /usr/lib/apache1/lingerd ]; then
+               if [ -f /var/lock/subsys/lingerd ]; then
+                       msg_stopping "Apache Lingerd"
+                       /usr/lib/apache1/lingerd -k && ok || fail
+                       rm -f /var/lock/subsys/lingerd >/dev/null 2>&1
+               else
+                       msg_not_running "Apache Lingerd"
+               fi
+       fi
+}
+
+restart() {
+       configtest
+       if [ $RETVAL -eq 0 ]; then
+               stop
+               start
+       else
+               fail
+               echo >&2 "Configuration file syntax test failed. Run $0 configtest to see errors."
        fi
+}
+
+reload() {
+       local sig=${1:-HUP}
+       local retnr=${2:-7}
+       if [ -f /var/lock/subsys/apache ]; then
+               msg_reloading "Apache 1.3 Web Server"
+
+               configtest
+               if [ $RETVAL -eq 0 ]; then
+                       killproc --pidfile /var/run/apache.pid apache -$sig
+                       RETVAL=$?
+               else
+                       fail
+                       echo >&2 "Configuration file syntax test failed. Run $0 configtest to see errors."
+               fi
+       else
+               msg_not_running "Apache 1.3 Web Server"
+               RETVAL=$retnr
+       fi
+}
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       start
        ;;
   stop)
-       # Stop daemons.
-       if [ -f /var/lock/subsys/httpd ]; then
-               msg_stopping httpd
-               killproc httpd
-               rm -f /var/lock/subsys/httpd /var/run/httpd.pid /var/run/httpd.loc* >/dev/null 2>&1
+       stop
+       ;;
+  restart)
+       restart
+       ;;
+  try-restart)
+       if [ -f /var/lock/subsys/apache ]; then
+               restart
        else
-               msg_not_running httpd
-               exit 1
+               msg_not_running "Apache 1.3 Web Server"
        fi
        ;;
-  status)
-       status httpd
-       /usr/sbin/httpd -S
-       exit $?
+  force-reload)
+       reload HUP 7
+       ;;
+  reload|graceful)
+       reload USR1 7
        ;;
-  restart|reload)
-       $0 stop
-       $0 start
+  flush-logs)
+       reload USR1 0
+       ;;
+  configtest)
+       /usr/sbin/apache -t
+       ;;
+  status)
+       status apache
+       RETVAL=$?
+       /usr/sbin/apache -S
        ;;
   *)
-       msg_usage "$0 {start|stop|restart|reload|status}"
-       exit 1
+       msg_usage "$0 {start|stop|restart|try-restart|reload|force-reload|graceful|configtest|status}"
+       exit 3
        ;;
 esac
 
This page took 0.03118 seconds and 4 git commands to generate.